package com.shiro.shiroforadmin.service;

import com.shiro.shiroforadmin.domain.JsonMsgPojo;
import com.shiro.shiroforadmin.pojo.Admin;
import com.shiro.shiroforadmin.pojo.Role;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public interface AdminService {

    List<Role> selectRolesByUser(Integer adminId);

    List<String> selectPermsById(Integer adminId);

    JsonMsgPojo login(Admin loginAdmin);

    JsonMsgPojo register(Admin admin);

    JsonMsgPojo editUsername(Admin adminNew);

    JsonMsgPojo editPassword(Admin adminNew, String passwordConfig);

    JsonMsgPojo delete(Integer id);
}
